Debian Bug report logs - #689310
fails to get any entry from a valid(?) .bib file (works with 0.2.3.90-1)

version graph

Package: kbibtex; Maintainer for kbibtex is Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>; Source for kbibtex is src:kbibtex.

Reported by: yoh@onerussian.com

Date: Mon, 1 Oct 2012 12:57:01 UTC

Severity: normal

Tags: moreinfo, unreproducible

Found in version kbibtex/0.4-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Hanke <mih@debian.org>:
Bug#689310; Package kbibtex. (Mon, 01 Oct 2012 12:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to yoh@onerussian.com:
New Bug report received and forwarded. Copy sent to Michael Hanke <mih@debian.org>. (Mon, 01 Oct 2012 12:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fails to get any entry from a valid(?) .bib file (works with 0.2.3.90-1)
Date: Mon, 01 Oct 2012 08:55:10 -0400
[Message part 1 (text/plain, inline)]
Package: kbibtex
Version: 0.4-2
Severity: grave

In our haxbylab's .bib file (attaching it anyways since it is nothing secret),
when I try to open it -- just a blank screen (it does open some other .bib
files fine).  If I add some dummy entry and try to save, seems to not
save at all and in the terminal I see

$> kbibtex(27322): couldn't create slave: "Unable to create io-slave:
klauncher said: Unknown protocol ''.


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (600, 'unstable'), (300, 'experimental'), (100, 'stable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kbibtex depends on:
ii  kde-runtime       4:4.8.4-1
ii  libc6             2.13-33
ii  libgcc1           1:4.7.1-2
ii  libkdecore5       4:4.8.4-3
ii  libkdeui5         4:4.8.4-3
ii  libkfile4         4:4.8.4-3
ii  libkio5           4:4.8.4-3
ii  libkparts4        4:4.8.4-3
ii  libnepomuk4       4:4.8.4-3
ii  libnepomukutils4  4:4.8.4-3
ii  libpoppler-qt4-3  0.18.4-3
ii  libqt4-dbus       4:4.8.2+dfsg-2
ii  libqt4-network    4:4.8.2+dfsg-2
ii  libqt4-svg        4:4.8.2+dfsg-2
ii  libqt4-xml        4:4.8.2+dfsg-2
ii  libqtcore4        4:4.8.2+dfsg-2
ii  libqtgui4         4:4.8.2+dfsg-2
ii  libqtwebkit4      2.2.1-4+b1
ii  libsoprano4       2.7.6+dfsg.1-1
ii  libstdc++6        4.7.1-2
ii  libxml2           2.8.0+dfsg1-4
ii  libxslt1.1        1.1.26-13

Versions of packages kbibtex recommends:
ii  texlive-bibtex-extra  2012.20120611-1

Versions of packages kbibtex suggests:
pn  bibtex2html         <none>
ii  latex2rtf           1.9.19-4.2
ii  texlive-latex-base  2012.20120611-4

-- no debconf information
[haxbylab.bib (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Hanke <mih@debian.org>:
Bug#689310; Package kbibtex. (Sat, 13 Oct 2012 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Prescott <stuart@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Hanke <mih@debian.org>. (Sat, 13 Oct 2012 18:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 689310@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart@debian.org>
To: 689310@bugs.debian.org, Yaroslav Halchenko <debian@onerussian.com>
Subject: Re: Bug #689310: fails to get any entry from a valid(?) .bib file
Date: Sat, 13 Oct 2012 19:03:28 +0100
[Message part 1 (text/plain, inline)]
Control: -1 tags moreinfo unreproducible
Control: -1 severity normal

Hi Yaroslav,

I've been unable to reproduce this bug with either my own .bib files or with 
your attached .bib. Does this bug still exist on your system? Did you log out 
and then log back in after upgrading? (various kde libraries/daemons are 
unhappy if you do not do this or at least manually restart) 

As you say that this bug only applies to the bib file you attached and not to 
others, this bug does not render the package completely unusable so the 
severity can be reduced in any case.

cheers
Stuart

-- 
Stuart Prescott    http://www.nanonanonano.net/   stuart@nanonanonano.net
Debian Developer   http://www.debian.org/         stuart@debian.org
GPG fingerprint    BE65 FD1E F4EA 08F3 23D4 3C6D 9FE8 B8CD 71C5 D1A8
GPG fingerprint    90E2 D2C1 AD14 6A1B 7EBB  891D BBC1 7EBB 1396 F2F7
[signature.asc (application/pgp-signature, inline)]

Added tag(s) unreproducible and moreinfo. Request was from Stuart Prescott <stuart@debian.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 18:33:06 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'grave' Request was from Stuart Prescott <stuart@debian.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 18:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#689310; Package kbibtex. (Sat, 09 Mar 2013 01:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 09 Mar 2013 01:24:03 GMT) Full text and rfc822 format available.

Message #19 received at 689310@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Stuart Prescott <stuart@debian.org>
Cc: 689310@bugs.debian.org
Subject: Re: Bug #689310: fails to get any entry from a valid(?) .bib file
Date: Fri, 8 Mar 2013 20:21:10 -0500
On Sat, 13 Oct 2012, Stuart Prescott wrote:

> Control: -1 tags moreinfo unreproducible
> Control: -1 severity normal

> Hi Yaroslav,

> I've been unable to reproduce this bug with either my own .bib files or with 
> your attached .bib. Does this bug still exist on your system? Did you log out 
> and then log back in after upgrading? (various kde libraries/daemons are 
> unhappy if you do not do this or at least manually restart) 

> As you say that this bug only applies to the bib file you attached and not to 
> others, this bug does not render the package completely unusable so the 
> severity can be reduced in any case.

well -- the same case was with other files I have...

after some poking figured out that it seems to require for me to provide
the full path to the file, i.e. 

$> kbibtex haxbylab.bib  
kbibtex(21160)/kdecore (KLibrary) kde4Factory: The library "/usr/lib/kde4/kbibtexpart.so" does not offer a qt_plugin_instance function.
kbibtex(21160)/kdecore (K*TimeZone*): No time zone information obtained from ktimezoned 
kbibtex(21160): couldn't create slave: "Unable to create io-slave: klauncher said: Unknown protocol ''.

would not open it.. while 

$> kbibtex $PWD/haxbylab.bib 
kbibtex(21205)/kdecore (KLibrary) kde4Factory: The library "/usr/lib/kde4/kbibtexpart.so" does not offer a qt_plugin_instance function.
kbibtex(21205)/kdecore (K*TimeZone*): No time zone information obtained from ktimezoned

works ok ;-)

Cheers,
-- 
Yaroslav O. Halchenko
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Senior Research Associate,     Psychological and Brain Sciences Dept.
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#689310; Package kbibtex. (Wed, 19 Mar 2014 20:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Fischer <fischer@unix-ag.uni-kl.de>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 19 Mar 2014 20:21:04 GMT) Full text and rfc822 format available.

Message #24 received at 689310@bugs.debian.org (full text, mbox):

From: Thomas Fischer <fischer@unix-ag.uni-kl.de>
To: 689310@bugs.debian.org
Subject: Bug fixed in Git
Date: Wed, 19 Mar 2014 21:06:40 +0100
Hello,

the bug described in Debian bug report 689310 is most fixed in
KBibTeX's git repository:
http://commits.kde.org/kbibtex/2531db6e2a58cc24f0c745d1182274bf89e53b0b
http://commits.kde.org/kbibtex/4ed31d2b46197abc7c1c4dc4e6108624d6db91a5

Please test and confirm.

The fix will appear in both a future 0.5.1 and 0.6 release.

Bye,
Thomas Fischer
KBibTeX maintainer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#689310; Package kbibtex. (Sun, 06 Apr 2014 21:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Fischer <fischer@unix-ag.uni-kl.de>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 06 Apr 2014 21:09:04 GMT) Full text and rfc822 format available.

Message #29 received at 689310@bugs.debian.org (full text, mbox):

From: Thomas Fischer <fischer@unix-ag.uni-kl.de>
To: 689310@bugs.debian.org
Subject: Version 0.5.1-rc1 aka 0.5.0.95 released
Date: Sun, 06 Apr 2014 23:06:16 +0200
[Message part 1 (text/plain, inline)]
Hello,

I just tagged and released 0.5.1-rc1 aka 0.5.0.95. Project homepage
should update soon, but tar balls are already available at
http://download.gna.org/kbibtex/0.5/
Please check if the tar ball fixes your issues and builds correctly
on your systems.

Bye,
Thomas Fischer
KBibTeX maintainer


[signature.asc (application/pgp-signature, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:50:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.